Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::transform_node::center_exposedfield Class Reference

Inheritance diagram for openvrml::vrml97_node::transform_node::center_exposedfield:

[legend]
List of all members.

## Detailed Description

center exposedField implementation.

For internal use only.

## Public Member Functions

| center_exposedfield (transform_node &node)
| Construct.
virtual | ~center_exposedfield () throw ()
| Destroy.

## Private Member Functions

virtual void | event_side_effect (const sfvec3f &center, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::transform_node::center_exposedfield::center_exposedfield | ( | transform_node & | node | ) | `[explicit]`

Construct.

Parameters:

  | node | transform_node.

openvrml::vrml97_node::transform_node::center_exposedfield::~center_exposedfield | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::transform_node::center_exposedfield::event_side_effect | ( | const sfvec3f & | center,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

Process event.

Parameters:

  | center | center.
  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Reimplemented from openvrml::exposedfield< sfvec3f >.